"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const worker_threads_1 = require("worker_threads");
/**
 * Clase para dar soporte al manejo de los hilos
 * sobre los microservicios.
 * @class
 */
class Threads {
    /**
     * Contructor
     * @constructor
     * @param pwd Direccion actual
     */
    constructor(cwd, pwd) {
        this.pwd = pwd;
        this.cdw = cwd;
    }
    /**
     * Metodo para executar una instancia del
     * servicio.
     * @param data Datos a pasar al servicio
     */
    execute(data) {
        // Validar si esta en produccion o desarrollo.
        const workerFile = process.env.NODE_ENV === 'production' ? 'index.js' : 'src/index.ts';
        // worker_hack.js
        if (process.env.NODE_ENV === 'production') {
            return new worker_threads_1.Worker(path.join(this.cdw, workerFile), {
                workerData: data,
            });
        }
        else {
            return new worker_threads_1.Worker(path.join(this.pwd, 'worker_hack.js'), {
                workerData: Object.assign(data, {
                    path_file_main_system: path.join(this.cdw, workerFile),
                }),
            });
        }
    }
}
exports.default = Threads;
