import { ConfForks } from './types';
export default class Util {
    /**
     * Metodo para validar si un elemento es una promesa
     * @param obj Objecto a validar
     */
    static isPromise(obj: any): boolean;
    /**
     * Metodo para validar que un objecto es una function
     * @param obj Objecto a validar
     */
    static isFunction(obj: any): boolean;
    static key(): string;
    /**
     * Metodo para validar que se pasa una configuracion correcta
     * de configuracion de Forks
     * @param toBeDetermined elemento a validar.
     */
    static isConfForkValid(toBeDetermined: ConfForks): toBeDetermined is ConfForks;
    /**
     * Get a nested object property value
     * Checks for a nested object property and returns its value.
     * @param   {object}    obj     An object given
     * @param   {string}    key     The needed key
     * @return  {string}            The value of that key.
     */
    protected get(key: string, target?: any): any;
    /**
     * Get a nested object property value
     * Checks for a nested object property and returns its value.
     * @param   {object}    obj     An object given
     * @param   {string}    key     The needed key
     * @return  {string}            The value of that key.
     */
    protected has(key: string): boolean;
    /**
     * Metodo para la conversion de un objecto en array-like
     * @param   {object}    data    Objecto a convertir
     * @return  {object}            Resultado de la conversion
     */
    protected arrayLike(data: any): {
        [x: string]: any;
    };
}
/**
 *  Metodo que regresa la cadena
 */
export declare function getBroker(): string[];
export declare function sequential(promises: Promise<any>[]): Promise<any>;
